Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Syntax errors in Python 3.5 #1750

Closed
toryhaavik opened this issue Mar 26, 2019 · 4 comments

Comments

Projects
None yet
3 participants
@toryhaavik
Copy link
Contributor

commented Mar 26, 2019

I had an old conda environment running Python 3.5, and I pulled to get the latest 1.0.0 commits. When I try to run any pytests, I get the pytest config errors that have this in the stack trace:

During handling of the above exception, another exception occurred:
../../miniconda3/envs/ibis_dev/lib/python3.5/site-packages/_pytest/config.py:379: in _importconftest
    mod = conftestpath.pyimport()
../../miniconda3/envs/ibis_dev/lib/python3.5/site-packages/py/_path/local.py:662: in pyimport
    __import__(modname)
E     File "/home/tory/git/ibis/ibis/__init__.py", line 67
E       **kwds,
E             ^
E   SyntaxError: invalid syntax

I think the addition of black has made incompatible changes for Python 3.5. This example is an extra comma at the end of an argument list that contains **kwargs.

If I build a new conda env with Python 3.6, the tests all pass.

@cpcloud

This comment has been minimized.

Copy link
Member

commented Mar 26, 2019

Yep sounds right. Seems like we'll need a bug fix release fairly soon then.

@xmnlab

This comment has been minimized.

Copy link
Collaborator

commented Mar 26, 2019

probably related to this: python/black#419

@cpcloud cpcloud added this to the Next Bugfix Release milestone Mar 27, 2019

@cpcloud cpcloud added the bug label Mar 27, 2019

@cpcloud cpcloud self-assigned this Mar 27, 2019

@cpcloud

This comment has been minimized.

Copy link
Member

commented Mar 27, 2019

We'll need to officially support 3.5 (not in conda-forge, though) for a little while. I'll add some jobs to the CI to test 3.5.

@cpcloud

This comment has been minimized.

Copy link
Member

commented Mar 30, 2019

This is fixed in black master: python/black@cea13f4

@cpcloud cpcloud closed this in #1751 Apr 3, 2019

cpcloud added a commit that referenced this issue Apr 3, 2019

BUG: Add Python 3.5 testing back to CI
Closes #1750
Author: Phillip Cloud <cpcloud@gmail.com>

Closes #1751 from cpcloud/fix-py35 and squashes the following commits:

d9cc997 [Phillip Cloud] Use an entry point for docs as well
a6d7649 [Phillip Cloud] BUG: Add Python 3.5 testing back to CI
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.